GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
internal_request Struct Reference

## Data Fields
gpr_slice | request_text
grpc_httpcli_parser | parser
grpc_resolved_addresses * | addresses
size_t | next_address
grpc_endpoint * | ep
char * | host
gpr_timespec | deadline
int | have_read_byte
int | use_ssl
grpc_httpcli_response_cb | on_response
void * | user_data
grpc_httpcli_context * | context
grpc_pollset * | pollset
grpc_iomgr_object | iomgr_obj

## Field Documentation

grpc_resolved_addresses* internal_request::addresses

grpc_httpcli_context* internal_request::context

gpr_timespec internal_request::deadline

grpc_endpoint* internal_request::ep

int internal_request::have_read_byte

char* internal_request::host

grpc_iomgr_object internal_request::iomgr_obj

size_t internal_request::next_address

grpc_httpcli_response_cb internal_request::on_response

grpc_httpcli_parser internal_request::parser

grpc_pollset* internal_request::pollset

gpr_slice internal_request::request_text

int internal_request::use_ssl

void* internal_request::user_data

The documentation for this struct was generated from the following file:

- src/core/httpcli/httpcli.c